# Repository path:    $HeadURL: https://90.145.156.222/DMS-Houtribdijk/code/python-ftp-svn/source/CleanStaFolders.py $
# Last committed:     $Revision: 243152 $; $Author: svcdms $; $Date: 2019-07-31 10:26:10 +0200 (wo, 31 jul 2019) $
#
# Process to remove the _g_ files from the folders D:\fewsdata\Import\STA (Status files)
#
from os import walk, path, remove

StatusFileFolder = r'D:\fewsdata\Import\STA'

for dirName, subdirList, fileList in walk(StatusFileFolder):
    for fname in fileList:
        if fname.find('STA_g_') >= 0:
            full_path = path.join(dirName, fname)
            print("Removing file {}".format(full_path))
            remove(full_path)
